<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.util.Values"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, "net.sf.basedb.reggie", true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="popup" title="Select libraries for demux">
<base:head scripts="~select_libs.js,~../reggie-2.js" styles="~../css/reggie-2.css">

<style>
#library-list
{
	width: 100%;
	border-collapse: collapse;
	border-bottom: 1px solid #A8A8A8;
}

#library-list th
{
	background-color: #E8E8E8;
	text-align: left;
	padding: 2px;
	border-bottom: 1px solid #A8A8A8;
}

#library-list td
{
	padding: 2px;
	border-bottom: 1px dotted #A8A8A8;
}

#library-list td:first-child
{
	width: 5em;
	text-align: right;
	font-weight: bold;
}

</style>

</base:head>
<base:body>
	<h1>Select libraries for demux</h1>


	<form name="reggie" id="wizard" class="wizard">
	<div class="content bottomborder">
	
	<div id="libraries"></div>
	
	</div>
	</form>
	
	<base:buttongroup subclass="dialogbuttons" id="dialogbuttons">
		<base:button id="btnOk" title="Ok" />
		<base:button id="close" title="Cancel" />
	</base:buttongroup>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>